opensnitch (1.5.9-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * d/control: fixed Build-Depends, kernel headers dep
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sat, 10 Jun 2023 00:08:25 +0200

opensnitch (1.5.9-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - New package opensnitch-ebpf-modules.
  * d/man/:
    - Updated dates.
    - New page opensnitch-ebpf-modules.1
  * Added README.Debian.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 07 Jun 2023 23:18:40 +0200

opensnitch (1.5.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 06 Mar 2023 12:37:24 +0100

opensnitch (1.5.8-2) unstable; urgency=medium

  * Upload to unstable.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 21 Feb 2023 21:26:21 +0100

opensnitch (1.5.8-1) experimental; urgency=medium

  * New upstream release.

  [ Gustavo Iñiguez Goia ]
  * ui: added 64x64 icon.
  * Added missing entry for GUI manual page.
  * Updated appstream Summary field.
  * Removed ftrace dependency from d/control.
  * ui: updated appstream Summary field.
  * Updated d/control Description.

  [ Petter Reinholdtsen ]
  * Added appstream content rating, no restrictions.
  * Corrected appstream icon name.
  * Documented appstream metadata license in d/copyright.
  * Place manual pages in correct packages.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sun, 19 Feb 2023 10:26:46 +0100

opensnitch (1.5.7-3) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * fixed /etc/xdg/autostart/ link

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 15 Feb 2023 22:41:19 +0100

opensnitch (1.5.7-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * added opensnitchd manual page
  * added new manual page, updated opensnitchd.1
  * improved debian/tests/

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 13 Feb 2023 12:43:19 +0100

opensnitch (1.5.7-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * Set test-fw-rules.sh as flaky.
  * Make test-fw-rules.sh more verbose.

  [ Petter Reinholdtsen ]
  * Fixed typo in nb comment of desktop file.
  * Added appstream desktop category to metadata XML.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Fri, 10 Feb 2023 13:28:23 +0100

opensnitch (1.5.6-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * tests: removed Architecture: restriction
  * changed Maintainer: field to team+pkg-go
  * added new test
  * added Uploaders field
  * updated Vcs* fields

  [ Petter Reinholdtsen ]
  * Added Debian package relation between opensnitch and
    python3-opensnitch-ui.
  * Handle autopkgtest scripts differently, as they have different
    requirements.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 07 Feb 2023 21:29:48 +0100

opensnitch (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 01 Feb 2023 22:37:12 +0100

opensnitch (1.5.4-1) unstable; urgency=high

  * New upstream release. (Closes: #1030115)
  * debian/control:
    - Updated packages description.
    - Removed debconf and whiptail|dialog dependencies.
    - Added xdg-user-dirs, gtk-update-icon-cache dependencies.
    - Point Vcs-Git field to the 1.5.0 branch.
  * debian/postinst:
    - Fixed opensnitch_ui.desktop installation.
    - Fixed updating icons cache.
  * debian/postrm:
    - Fixed removing opensnitch_ui.desktop
  * debian/tests/:
    - Added autopkgtests.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 31 Jan 2023 23:48:58 +0100

opensnitch (1.5.3-1) unstable; urgency=medium

  * Added debian/upstream/metadata.
  * Updated Homepage url.
  * Updated Copyright years.

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Sun, 22 Jan 2023 21:30:45 +0100

opensnitch (1.5.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #909567)

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Fri, 20 Jan 2023 22:26:40 +0000

opensnitch (1.5.2-1) unstable; urgency=medium

  * try to mount debugfs on boot up

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Wed, 27 Jul 2022 17:29:33 +0200

opensnitch (1.5.1-1) unstable; urgency=medium

  * Better eBPF cache.
  * Fixed error resolving domains to localhost.
  * Fixed error deleting our nftables rules.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 25 Feb 2022 01:21:38 +0100

opensnitch (1.5.0-1) unstable; urgency=medium

  * New release.
  * Added Reject option.
  * New lists types to block ads/malware/...
  * Better connections interception.
  * Better VPNs handling.
  * Bug fixes.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 28 Jan 2022 23:20:38 +0100

opensnitch (1.5.0~rc2-1) unstable; urgency=medium

  * Better connections interception.
  * Improvements.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 16 Jan 2022 23:15:12 +0100

opensnitch (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Oct 2021 14:57:35 +0200

opensnitch (1.4.0-1) unstable; urgency=medium

  * final release.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 27 Aug 2021 13:33:07 +0200

opensnitch (1.4.0~rc4-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:17:49 +0200

opensnitch (1.4.0~rc3-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:28:52 +0200

opensnitch (1.4.0~rc2-1) unstable; urgency=medium

  * Added eBPF support.
  * Fixes and improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:02 +0200

opensnitch (1.4.0~rc-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:02:31 +0100

opensnitch (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:01:53 +0100

opensnitch (1.3.0-1) unstable; urgency=medium

  * Fixed how we check rules
  * Fixed cpu spike after disable interception.
  * Fixed cleaning up fw rules on exit.
  * make regexp rules case-insensitive by default
  * allow to filter by dst network.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:15:03 +0100

opensnitch (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 13 Nov 2020 00:51:34 +0100

opensnitch (1.2.0-1) unstable; urgency=medium

  * Fixed memleaks.
  * Sort rules by name
  * Added priority field to rules.
  * Other fixes

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 09 Nov 2020 22:55:13 +0100

opensnitch (1.0.1-1) unstable; urgency=medium

  * Fixed app exit when IPv6 is not supported.
  * Other fixes.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 30 Jul 2020 21:56:20 +0200

opensnitch (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:19:26 +0200

opensnitch (1.0.0rc11-1) unstable; urgency=medium

  * Fixed multiple race conditions.
  * Fixed CWD parsing when using audit proc monitor method.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 24 Jun 2020 00:10:38 +0200

opensnitch (1.0.0rc10-1) unstable; urgency=medium

  * Fixed checking UID functions availability.
  * Improved process path parsing.
  * Fixed applying config from the UI.
  * Fixed default log level.
  * Gather CWD and process environment vars.
  * Increase default timeout when asking for a rule.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sat, 13 Jun 2020 18:45:02 +0200

opensnitch (1.0.0rc9-1) unstable; urgency=medium

  * Ignore malformed rules from loading.
  * Allow to modify and add rules from the UI.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 17 May 2020 18:18:24 +0200

opensnitch (1.0.0rc8) unstable; urgency=medium

  * Allow to change settings from the UI.
  * Improved connection handling with the UI.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 29 Apr 2020 21:52:27 +0200

opensnitch (1.0.0rc7-1) unstable; urgency=medium

  * Stability, performance and realiability improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 12 Apr 2020 23:25:41 +0200

opensnitch (1.0.0rc6-1) unstable; urgency=medium

  * Fixed iptables rules deletion.
  * Improved PIDs cache.
  * Added audit process monitoring method.
  * Added logrotate file.
  * Added default configuration file.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 08 Mar 2020 20:47:58 +0100

opensnitch (1.0.0rc-5) unstable; urgency=medium

  * Fixed netlink socket querying.
  * Added check to reload firewall rules if missing.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 24 Feb 2020 19:55:06 +0100

opensnitch (1.0.0rc-3) unstable; urgency=medium

  * @see: https://github.com/gustavo-iniguez-goya/opensnitch/releases

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Tue, 18 Feb 2020 10:09:45 +0100

opensnitch (1.0.0rc-2) unstable; urgency=medium

  * UI minor changes
  * Expand deb package compatibility.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 05 Feb 2020 21:50:20 +0100

opensnitch (1.0.0rc-1) unstable; urgency=medium

  * Initial release

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 22 Nov 2019 01:14:08 +0100
